Crear Agente IA
curl --request POST \
--url https://api.plazbot.com/api/agent/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"name": "<string>",
"workspaceId": "<string>",
"model": "<string>",
"prompt": "<string>",
"temperature": 123,
"maxTokens": 123,
"channelId": "<string>",
"platformType": "<string>",
"widgetEnabled": true
}
'import requests
url = "https://api.plazbot.com/api/agent/add"
payload = {
"name": "<string>",
"workspaceId": "<string>",
"model": "<string>",
"prompt": "<string>",
"temperature": 123,
"maxTokens": 123,
"channelId": "<string>",
"platformType": "<string>",
"widgetEnabled": True
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
workspaceId: '<string>',
model: '<string>',
prompt: '<string>',
temperature: 123,
maxTokens: 123,
channelId: '<string>',
platformType: '<string>',
widgetEnabled: true
})
};
fetch('https://api.plazbot.com/api/agent/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"model": "<string>",
"prompt": "<string>",
"temperature": 123,
"maxTokens": 123,
"channelId": "<string>",
"platformType": "<string>",
"widgetEnabled": true,
"workspaceId": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"files": [
"<string>"
]
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Agent
Crear Agente IA
Servicio para crear un nuevo Agente de Inteligencia Artificial en el workspace.
POST
/
api
/
agent
/
add
Crear Agente IA
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Body
application/json
Nombre del agente
Identificador del workspace
Modelo de IA a utilizar
Prompt de configuracion del agente
Temperatura del modelo (0 a 1)
Maximo de tokens por respuesta
ID del canal asociado
Tipo de plataforma
Habilitar widget del agente
Response
Agente creado exitosamente
Indica si la operacion fue exitosa
Codigo HTTP de la respuesta
Codigo de error, null si no hay error
Mensaje descriptivo del resultado
Agente de Inteligencia Artificial configurado en el workspace
Show child attributes
Show child attributes
⌘I

